scoreboard objectives add Walking minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add Running minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add Hit minecraft.custom:minecraft.damage_dealt
scoreboard objectives add PACount dummy

replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.0 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.1 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.3 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.4 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.5 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.6 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.7 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"","italic":false}]'}}
replaceitem entity @a[tag=Playing,scores={Cutscene=0},gamemode=adventure] hotbar.8 minecraft:carrot_on_a_stick{display:{Name:'[{"text":"Reset Level","italic":false,"color":"gold"}]',Lore:['[{"text":"Click to Reset","italic":false}]']},CustomModelData:1}

kill @e[type=item]

scoreboard objectives add Push minecraft.used:minecraft.carrot_on_a_stick

execute as @a[tag=Playing,nbt={SelectedItemSlot:0}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:1}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:2}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:2}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:4}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:5}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:6}] run scoreboard players operation @s Hit += @s Push
execute as @a[tag=Playing,nbt={SelectedItemSlot:7}] run scoreboard players operation @s Hit += @s Push
execute if entity @a[tag=Playing,nbt={SelectedItemSlot:8},scores={Push=1..}] as @e[tag=Level] at @s run setblock ~ ~ ~ redstone_block
execute as @a[tag=Playing] run scoreboard players set @s Push 0

team add Player
team modify Player collisionRule never
team join Player @a[tag=Playing]

execute as @a[tag=Playing] at @s positioned ~ ~-10 ~ rotated as @s run tp @e[tag=Player] ~ ~ ~ ~ ~
execute as @a[tag=Playing,gamemode=adventure] at @s positioned ~ ~ ~ rotated as @s run tp @e[tag=HitDetector] ^ ^ ^
execute as @e[tag=HitDetector] at @s run tp @s ~ ~0.5 ~ ~ 0

execute if entity @a[tag=Playing,scores={Walking=1..}] run tag @e[tag=Player] add Walking
execute if entity @a[tag=Playing,scores={Running=1..}] run tag @e[tag=Player] add Walking

execute if entity @a[tag=Playing,scores={Walking=0,Running=0}] run tag @e[tag=Player] remove Walking
execute if entity @a[tag=Playing,scores={Walking=0,Running=0}] run tag @e[tag=Player] remove 
execute if entity @a[tag=Playing,scores={Running=1..}] run scoreboard players set @a Running 0
execute if entity @a[tag=Playing,scores={Walking=1..}] run scoreboard players set @a Walking 0

execute unless entity @e[tag=Player] run summon armor_stand ~ ~ ~ {Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[4f,0f,0f],LeftLeg:[6f,0f,0f],RightLeg:[6f,0f,0f],LeftArm:[10f,0f,0f],RightArm:[14f,0f,0f]},Tags:[Player]}
execute unless entity @e[tag=HitDetector] run summon minecraft:iron_golem ~ ~ ~ {Invisible:1b,Silent:1,Tags:[HitDetector],NoAI:1}
effect give @e[tag=HitDetector] regeneration 999999 255 true
effect give @e[tag=HitDetector] invisibility 999999 255 true
effect give @a saturation 999999 255 true
execute as @a run attribute @s minecraft:generic.attack_speed base set 1000

execute as @a[tag=Playing] at @s positioned ~ ~-10 ~ rotated as @e[tag=Player] run fill ~4 ~1 ~4 ~-4 ~1 ~-4 air replace structure_void
execute as @e[tag=Player,tag=!Pickup] at @s if entity @a[scores={Hit=1..}] rotated as @s unless block ^ ^1 ^ barrel run playsound minecraft:sfx.link.sword master @a ~ ~ ~
execute as @a[tag=Playing] at @s if entity @s[scores={Hit=1..}] positioned ~ ~-10 ~ rotated as @e[tag=Player] run fill ~3 ~1 ~3 ~-3 ~1 ~-3 structure_void keep

#Barrel
execute as @e[tag=Player,tag=!Pickup] at @s if entity @a[scores={Hit=1..}] rotated as @s if block ^ ^1 ^ barrel unless block ~ ~-1 ~ diorite run function parkour:tloa/pickup
execute as @e[tag=Player,tag=Pickup] at @s if entity @a[scores={Hit=1..}] rotated as @s run function parkour:tloa/putdown
execute as @e[tag=Pickup] at @s run tp @e[tag=BlockPickup] ~ ~2 ~
execute as @e[tag=Player,tag=!Pickup] at @s if entity @a[scores={Hit=1..}] rotated as @s unless block ^ ^1 ^ barrel run function parkour:box/push
execute as @e[tag=Player,tag=!Pickup] at @s if entity @a[scores={Hit=1..}] rotated as @s if block ^ ^1 ^ barrel run function parkour:box/teleport

execute as @a[tag=Playing] if entity @s[scores={Hit=1..}] run scoreboard players set @e[tag=Player] HitStep 1
execute as @a[tag=Playing] if entity @s[scores={Hit=1..}] run scoreboard players set @a Hit 0


execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~-1 ~ ~1 #parkour:empty run setblock ~-1 ~10 ~1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~-1 ~ ~1 #parkour:empty run setblock ~-1 ~10 ~1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~-1 ~-1 ~1 #parkour:barrier run setblock ~-1 ~10 ~1 barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~ ~ ~1 #parkour:empty run setblock ~ ~10 ~1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~ ~ ~1 #parkour:empty run setblock ~ ~10 ~1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~ ~-1 ~1 #parkour:barrier run setblock ~ ~10 ~1 barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~1 ~ ~1 #parkour:empty run setblock ~1 ~10 ~1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~1 ~ ~1 #parkour:empty run setblock ~1 ~10 ~1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~1 ~-1 ~1 #parkour:barrier run setblock ~1 ~10 ~1 barrier keep


execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~-1 ~ ~ #parkour:empty run setblock ~-1 ~10 ~ air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~-1 ~ ~ #parkour:empty run setblock ~-1 ~10 ~ barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~-1 ~-1 ~ #parkour:barrier run setblock ~-1 ~10 ~ barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~ ~ ~ #parkour:empty run setblock ~ ~10 ~ air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~ ~ ~ #parkour:empty run setblock ~ ~10 ~ barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~ ~-1 ~ #parkour:barrier run setblock ~ ~10 ~ barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~1 ~ ~ #parkour:empty run setblock ~1 ~10 ~ air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~1 ~ ~ #parkour:empty run setblock ~1 ~10 ~ barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~1 ~-1 ~ #parkour:barrier run setblock ~1 ~10 ~ barrier keep


execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~-1 ~ ~-1 #parkour:empty run setblock ~-1 ~10 ~-1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~-1 ~ ~-1 #parkour:empty run setblock ~-1 ~10 ~-1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~-1 ~-1 ~-1 #parkour:barrier run setblock ~-1 ~10 ~-1 barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~ ~ ~-1 #parkour:empty run setblock ~ ~10 ~-1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~ ~ ~-1 #parkour:empty run setblock ~ ~10 ~-1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~ ~-1 ~-1 #parkour:barrier run setblock ~ ~10 ~-1 barrier keep

execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s if block ~1 ~ ~-1 #parkour:empty run setblock ~1 ~10 ~-1 air
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player] at @s unless block ~1 ~ ~1 #parkour:empty run setblock ~1 ~10 ~1 barrier keep
execute if entity @a[tag=Playing,gamemode=adventure] as @e[tag=Player,tag=Pickup] at @s if block ~1 ~-1 ~1 #parkour:barrier run setblock ~1 ~10 ~1 barrier keep

scoreboard players set @e[tag=Player] PACount 0
execute as @e[tag=Player] run scoreboard players add @e[tag=Player] PACount 1
execute if entity @e[tag=Player,scores={PACount=2..}] run kill @e[tag=Player,limit=1]

