scoreboard objectives add Bow minecraft.used:minecraft.bow
scoreboard objectives add TNT minecraft.used:minecraft.bowl
scoreboard objectives add EnderPearl minecraft.used:minecraft.snowball
scoreboard objectives add OcarianUse minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add TNT_Time dummy

execute as @a[scores={Bow=1..}] at @s run playsound minecraft:entity.skeleton.shoot master @a ~ ~ ~ 2 1
execute as @a[scores={Bow=1..}] at @s run summon armor_stand ^ ^-1 ^10 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{},{},{},{id:"arrow",Count:1b}],HandItems:[{},{}],DisabledSlots:2039583,Tags:[PlayerArrow]}
execute as @a[scores={Bow=1..}] run scoreboard players set @s Bow 0

execute as @a store result score @s TNT run clear @s minecraft:mushroom_stew
execute as @a[scores={TNT=1..}] at @s run playsound minecraft:entity.creeper.primed master @a ~ ~ ~ 2 1.5
execute as @a[scores={TNT=1..}] at @s run summon armor_stand ~ ~-11 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{},{},{},{id:"tnt",Count:1b}],HandItems:[{},{}],DisabledSlots:2039583,Tags:[TNT]}
execute as @a[scores={TNT=1..}] run scoreboard players set @s TNT 0

execute as @a[scores={EnderPearl=1..}] at @s run playsound minecraft:entity.skeleton.shoot master @a ~ ~ ~ 2 1
execute as @a[scores={EnderPearl=1..}] at @s run summon armor_stand ^ ^-1 ^10 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{},{},{},{id:"ender_pearl",Count:1b}],HandItems:[{},{}],DisabledSlots:2039583,Tags:[EnderPearl]}
execute as @a[scores={EnderPearl=1..}] run scoreboard players set @s EnderPearl 0

execute as @a[scores={OcarianUse=1..}] at @s run function parkour:tloa/ocarina_open
execute as @a[scores={OcarianUse=1..}] run scoreboard players set @s OcarianUse 0


execute as @e[tag=PlayerArrow] run scoreboard players set @s Player_DMG 2
execute as @e[tag=Player] at @s run execute as @e[tag=PlayerArrow,distance=0..2,tag=!tagged] at @s facing entity @e[tag=Player] feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=Player] at @s run execute as @e[tag=PlayerArrow] at @s run tp @s ^ ^ ^0.5
scoreboard players add @e[tag=PlayerArrow] Attack_Time 1
execute as @e[tag=PlayerArrow] at @s run scoreboard players operation @e[tag=damageable,distance=..2] HP -= @s Player_DMG
execute as @e[tag=damageable] at @s run kill @e[tag=PlayerArrow,distance=..2]
execute as @e[tag=PlayerArrow] at @s if block ~ ~1 ~ target run setblock ~ ~1 ~ target[power=15]
kill @e[tag=PlayerArrow,scores={Attack_Time=120..}]
tag @e[tag=PlayerArrow] add tagged

scoreboard players add @e[tag=TNT] TNT_Time 1
execute as @e[tag=TNT] run scoreboard players set @s Player_DMG 4
execute as @e[tag=TNT] at @s if score @s TNT_Time matches 40 run particle minecraft:explosion ~ ~ ~ 1 1 1 1 100
execute as @e[tag=TNT] at @s if score @s TNT_Time matches 40 run playsound minecraft:entity.generic.explode master @a ~ ~ ~
execute as @e[tag=TNT] at @s if score @s TNT_Time matches 40 run execute if entity @e[tag=Player,distance=..4] run function parkour:tloa/damage_player
execute as @e[tag=TNT] at @s if score @s TNT_Time matches 40 run scoreboard players operation @e[tag=damageable,distance=..6] HP -= @s Player_DMG
execute as @e[tag=TNT] at @s if score @s TNT_Time matches 40 run kill @s

execute as @e[tag=EnderPearl] run scoreboard players set @s Player_DMG 1
execute as @e[tag=Player] at @s run execute as @e[tag=EnderPearl,distance=0..2,tag=!tagged] at @s facing entity @e[tag=Player] feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=Player] at @s run execute as @e[tag=EnderPearl] at @s run tp @s ^ ^ ^0.5
execute as @e[tag=Player] at @s run execute as @e[tag=EnderPearl] at @s unless block ^ ^ ^0.5 air run tp @a[tag=Playing] ~ ~10 ~
execute as @e[tag=Player] at @s run execute as @e[tag=EnderPearl] at @s unless block ^ ^ ^0.5 air run playsound minecraft:entity.enderman.teleport master @a
execute as @e[tag=Player] at @s run execute as @e[tag=EnderPearl] at @s unless block ^ ^ ^0.5 air run kill @s
scoreboard players add @e[tag=EnderPearl] Attack_Time 1
execute as @e[tag=EnderPearl] at @s run scoreboard players operation @e[tag=damageable,distance=..2] HP -= @s Player_DMG
execute as @e[tag=damageable] at @s run kill @e[tag=EnderPearl,distance=..2]
execute as @e[tag=EnderPearl,scores={Attack_Time=20..}] at @s run playsound minecraft:entity.ender_eye.death master @a ~ ~ ~ 1 1
execute as @e[tag=EnderPearl,scores={Attack_Time=20..}] at @s run particle minecraft:reverse_portal ~ ~ ~ 0.1 0.1 0.1 0.2 100 
kill @e[tag=EnderPearl,scores={Attack_Time=20..}]
tag @e[tag=EnderPearl] add tagged

replaceitem entity @e[tag=TNT,scores={TNT_Time=5}] armor.head minecraft:white_concrete
replaceitem entity @e[tag=TNT,scores={TNT_Time=10}] armor.head minecraft:tnt
replaceitem entity @e[tag=TNT,scores={TNT_Time=15}] armor.head minecraft:white_concrete
replaceitem entity @e[tag=TNT,scores={TNT_Time=20}] armor.head minecraft:tnt
replaceitem entity @e[tag=TNT,scores={TNT_Time=25}] armor.head minecraft:white_concrete
replaceitem entity @e[tag=TNT,scores={TNT_Time=30}] armor.head minecraft:tnt
replaceitem entity @e[tag=TNT,scores={TNT_Time=35}] armor.head minecraft:white_concrete


kill @e[type=arrow]